<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>com.platomix</groupId>
		<artifactId>platomix-pom</artifactId>
		<version>1.1.0</version>
		<relativePath />
	</parent>

	<artifactId>platomix-gmetry-workflow</artifactId>
	<version>4.0.3</version>
	<properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
        <maven.compiler.encoding>UTF-8</maven.compiler.encoding>
        <maven.compiler.source>1.8</maven.compiler.source>
        <maven.compiler.target>1.8</maven.compiler.target>
        <maven.test.skip>true</maven.test.skip>
        <maven-source-plugin.version>3.2.1</maven-source-plugin.version>
        <maven-javadoc-plugin.version>3.4.0</maven-javadoc-plugin.version>
        <maven-gpg-plugin.version>3.0.1</maven-gpg-plugin.version>

        <flowable.version>6.6.0</flowable.version>
    </properties>

	<dependencies>
		<dependency>
			<groupId>com.platomix</groupId>
			<artifactId>platomix-gmetry-framework</artifactId>
			<version>2.2.2</version>
		</dependency>
		<dependency>
			<groupId>com.platomix</groupId>
			<artifactId>platomix-gmetry-system-client</artifactId>
			<version>1.1.6</version>
		</dependency>
		<dependency>
			<groupId>com.platomix</groupId>
			<artifactId>platomix-gmetry-message</artifactId>
			<version>1.0.3</version>
		</dependency>
		<dependency>
			<groupId>com.platomix</groupId>
			<artifactId>platomix-gmetry-bi-client</artifactId>
			<version>1.0.5</version>
		</dependency>

		<dependency>
			<groupId>cn.dev33</groupId>
			<artifactId>sqlfly-spring</artifactId>
			<version>1.0.0</version>
		</dependency>
		<dependency>
			<groupId>com.clickhouse</groupId>
			<artifactId>clickhouse-jdbc</artifactId>
		</dependency>
		<dependency>
			<groupId>mysql</groupId>
			<artifactId>mysql-connector-java</artifactId>
		</dependency>
		<dependency>
			<groupId>com.oracle</groupId>
			<artifactId>ojdbc7</artifactId>
		</dependency>
		<dependency>
			<groupId>org.postgresql</groupId>
			<artifactId>postgresql</artifactId>
		</dependency>

		<!-- workflow star -->
		<dependency>
			<groupId>io.minio</groupId>
			<artifactId>minio</artifactId>
			<version>8.1.0</version>
		</dependency>
		<dependency>
			<groupId>com.google.zxing</groupId>
			<artifactId>core</artifactId>
			<version>3.5.0</version>
		</dependency>
		<dependency>
			<groupId>com.github.oshi</groupId>
			<artifactId>oshi-core</artifactId>
			<version>5.2.4</version>
		</dependency>
		<dependency>
			<groupId>net.coobird</groupId>
			<artifactId>thumbnailator</artifactId>
			<version>0.4.8</version>
		</dependency>
		<!-- 消息 -->
		<dependency>
			<groupId>com.tencentcloudapi</groupId>
			<artifactId>tencentcloud-sdk-java</artifactId>
			<version>3.1.278</version>
		</dependency>
		<dependency>
			<groupId>com.aliyun</groupId>
			<artifactId>aliyun-java-sdk-dysmsapi</artifactId>
			<version>2.1.0</version>
		</dependency>
		<dependency>
			<groupId>com.aliyun</groupId>
			<artifactId>aliyun-java-sdk-core</artifactId>
			<version>2.1.0</version>
		</dependency>
		<dependency>
			<groupId>dingtalk-sdk-java</groupId>
			<artifactId>taobao-sdk-java</artifactId>
			<version>1.0</version>
		</dependency>
		<dependency>
			<groupId>dingtalk-sdk-java</groupId>
			<artifactId>taobao-sdk-java-source</artifactId>
			<version>1.0</version>
		</dependency>
		<dependency>
			<groupId>com.belerweb</groupId>
			<artifactId>pinyin4j</artifactId>
			<version>2.5.0</version>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-websocket</artifactId>
		</dependency>
		<dependency>
			<groupId>cn.afterturn</groupId>
			<artifactId>easypoi-base</artifactId>
			<version>4.0.0</version>
		</dependency>
		<dependency>
			<groupId>org.apache.poi</groupId>
			<artifactId>poi-ooxml</artifactId>
			<version>4.0.0</version> <!--$NO-MVN-MAN-VER$-->
		</dependency>
		<!-- flowable start-->
		<dependency>
			<groupId>org.flowable</groupId>
			<artifactId>flowable-spring-boot-starter</artifactId>
			<version>${flowable.version}</version>
			<exclusions>
				<exclusion>
					<groupId>org.flowable</groupId>
					<artifactId>flowable-spring-boot-starter-app</artifactId>
				</exclusion>
				<exclusion>
					<groupId>org.flowable</groupId>
					<artifactId>flowable-form-spring-configurator</artifactId>
				</exclusion>
				<exclusion>
					<groupId>org.flowable</groupId>
					<artifactId>flowable-idm-spring-configurator</artifactId>
				</exclusion>
				<exclusion>
					<artifactId>mybatis</artifactId>
					<groupId>org.mybatis</groupId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>org.flowable</groupId>
			<artifactId>flowable-bpmn-model</artifactId>
			<version>${flowable.version}</version>
			<scope>compile</scope>
		</dependency>
		<dependency>
			<groupId>org.flowable</groupId>
			<artifactId>flowable-json-converter</artifactId>
			<version>${flowable.version}</version>
			<scope>compile</scope>
		</dependency>
		<dependency>
			<groupId>org.flowable</groupId>
			<artifactId>flowable-bpmn-converter</artifactId>
			<version>${flowable.version}</version>
			<scope>compile</scope>
		</dependency>

		<!--activiti modeler 5.22 end-->
		<!-- 自动布局jar 包-->
		<dependency>
			<groupId>org.flowable</groupId>
			<artifactId>flowable-bpmn-layout</artifactId>
			<version>${flowable.version}</version>
		</dependency>
		<!-- flowable end -->
		<dependency>
			<groupId>org.quartz-scheduler</groupId>
			<artifactId>quartz</artifactId>
		</dependency>
		<dependency>
			<groupId>net.sourceforge.htmlcleaner</groupId>
			<artifactId>htmlcleaner</artifactId>
			<version>2.22</version>
		</dependency>
		<!-- dom4j-->
		<dependency>
			<groupId>dom4j</groupId>
			<artifactId>dom4j</artifactId>
			<version>1.6.1</version>
		</dependency>
		<!--Spring Mail -->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-mail</artifactId>
		</dependency>

		<dependency>
			<groupId>org.codehaus.groovy</groupId>
			<artifactId>groovy</artifactId>
		</dependency>

		<dependency>
			<groupId>org.kohsuke</groupId>
			<artifactId>groovy-sandbox</artifactId>
			<version>1.6</version>
		</dependency>
		<!-- workflow end -->

		<!-- 工具类大全 - 在线文档：https://hutool.cn/docs/#/ -->
		<dependency>
			<groupId>cn.hutool</groupId>
			<artifactId>hutool-all</artifactId>
		</dependency>
		<dependency>
			<groupId>com.alibaba</groupId>
			<artifactId>fastjson</artifactId>
			<version>1.2.83</version>
		</dependency>

		<!-- Mybatis-Plus -->
		<dependency>
			<groupId>com.baomidou</groupId>
			<artifactId>mybatis-plus-boot-starter</artifactId>
		</dependency>
		<dependency>
			<groupId>com.baomidou</groupId>
			<artifactId>mybatis-plus-extension</artifactId>
			<version>3.4.2</version>
		</dependency>
		<dependency>
			<groupId>com.baomidou</groupId>
			<artifactId>mybatis-plus-generator</artifactId>
			<version>3.4.1</version>
		</dependency>
		<dependency>
			<groupId>org.apache.velocity</groupId>
			<artifactId>velocity</artifactId>
			<version>1.7</version>
			<scope>provided</scope>
		</dependency>
		<!-- lombok -->
		<dependency>
			<groupId>org.projectlombok</groupId>
			<artifactId>lombok</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>com.baomidou</groupId>
			<artifactId>dynamic-datasource-spring-boot-starter</artifactId>
		</dependency>
		<!-- easy excel -->
		<dependency>
			<groupId>com.alibaba</groupId>
			<artifactId>easyexcel</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-validation</artifactId>
		</dependency>
	</dependencies>

	<build>
		<finalName>platomix-gmetry-workflow</finalName>
		<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
			</plugin>
<!--			<plugin>-->
<!--				<groupId>io.fabric8</groupId>-->
<!--				<artifactId>docker-maven-plugin</artifactId>-->
<!--				<executions>-->
<!--					<execution>-->
<!--						<id>build-push</id>-->
<!--						<phase>package</phase>-->
<!--						<goals>-->
<!--							<goal>build</goal>-->
<!--							<goal>push</goal>-->
<!--						</goals>-->
<!--					</execution>-->
<!--				</executions>-->
<!--			</plugin>-->
		</plugins>
	</build>

	<repositories>
		<repository>
			<id>alimaven</id>
			<name>aliyun maven</name>
			<url>https://maven.aliyun.com/repository/public/</url>
			<snapshots>
				<enabled>false</enabled>
			</snapshots>
		</repository>
		<repository>
			<id>platomix-release</id>
			<name>NexusReleases</name>
			<url>http://windata.platomix.net/nexus/repository/maven-public/</url>
		</repository>
		<repository>
			<id>jnpfsoft-snapshots</id>
			<name>jnpfsoft-snapshots</name>
			<url>https://repository.jnpfsoft.com/repository/maven-public/</url>
		</repository>
	</repositories>
</project>